package com.mortals.xhx.module.matter.service;

import com.mortals.framework.common.Rest;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.matter.dao.MatterDao;
import com.mortals.xhx.module.matter.model.MatterEntity;
import com.mortals.xhx.module.matter.model.MatterQuery;
import com.mortals.xhx.module.matter.model.vo.MatterInfo;
import com.mortals.xhx.module.site.model.SiteEntity;
import com.mortals.xhx.module.site.model.SiteMatterEntity;

import java.util.Map;

/**
 * MatterService
 * <p>
 * 基础事项 service接口
 *
 * @author zxfei
 * @date 2022-01-12
 */
public interface MatterService extends ICRUDService<MatterEntity, Long> {


    MatterDao getDao();



}