package com.mortals.xhx.module.matter.model.vo;

import lombok.Data;

/**
 * 微官网事项
 *
 * @author:
 * @date: 2022/12/14 9:26
 */
@Data
public class MatterInfo {

    /**
     * 事项id
     */
    private Long id;

    /**
     * 事项名称
     */
    private String matterName;

    /**
     * 事项编号
     */
    private String matterNo;

    /**
     * 办理地点
     */
    private String operateSite;

    /**
     * 办理部门
     */
    private String deptName;

    /**
     * 窗口到现场次数
     */
    private Integer windowToTheSceneNum;

    /**
     * 网办到现场次数
     */
    private Integer onlineToTheSceneNum;

    /**
     * 承诺办结时限
     */
    private String promiseTimeLimitShow;


}